Subject: Re: [PATCH 09/15] [POWERPC] 86xx: Add uli1575 pci-bridge sector to MPC8641HPCN dts file.

From: David Gibson <[email-masked]>
Date: Thu, 28 Jun 2007 10:23:42 +1000

On Wed, Jun 27, 2007 at 10:39:14PM +0200, Segher Boessenkool wrote:
> >> -		ranges = <0 f8000000 00100000>;
> >> -		reg = <f8000000 00100000>;	// CCSRBAR 1M
> >> +		ranges = <00001000 f8001000 000ff000
> > [...]
> >> +		reg = <f8000000 00001000>;	// CCSRBAR
> >
> > This can't be right, and I suspect it will break any kernel access to
> > the first 0x1000 bytes of the CCSR_BAR space.  reg should actually
> > describe the register space of the SOC.  If ranges needs to specify
> > that, too, they should be able to be redundant.  But this looks like
> > a big hack, to me.  Am I missing something?
> 
> "reg" and "ranges" can never overlap really.

Is this really true, always?

What about something like a PReP PCI bridge, which has the registers
for indirect config-space access in the same range as the ISA IO
space?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson